読者です 読者をやめる 読者になる 読者になる

CapistranoをUbuntuに入れる

CapistranoUbuntuに入れる時にちょっと詰まったので備忘録
apt-getでRubyRubyGemsをいれる

$ sudo apt-get install ruby
$ sudo apt-get install rubygems

RubyGemsを使ってCapistranoを入れる

$ sudo gems install capistrano

Capistranoのバージョンを調べるもcapコマンドが見つからず

$ cap --version
zsh: command not found: cap

探してみたら/var/lib/gems/1.8/bin/capにあるようなので直接打ってみるも今度はgem_original_requireとかいうのがないと言われる

$ /var/lib/gems/1.8/bin/cap --version
`gem_original_require': no such file to load -- openssl (LoadError)
...

色々調べた結果libopenssl-ruby1.8が必要らしいということが分かった

$ sudo apt-get install libopenssl-ruby1.8
$ /var/lib/gems/1.8/bin/cap --version
Capistrano v2.5.18